### Method

# Camel CertDB get_host

since: 3.6

#### Declaration [src]

    CamelCert*
    camel_certdb_get_host (
      CamelCertDB* certdb,
      const gchar* hostname,
      const gchar* fingerprint
    )

#### Description

No description available.

Available since: 3.6

#### Parameters

`hostname`

  Type: `const gchar*`

  A host name of a certificate.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`fingerprint`

  Type: `const gchar*`

  A fingerprint of a certificate.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelCert`

A `CamelCert` corresponding to the pair of `hostname` and `fingerprint`, or `NULL`, if no such certificate is stored in the `certdb`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.